Google Cloud
probe Artifact

# get_docker_image_version_from_tag

Get image version (sha256) for most recent tag.

Run it now
View details

Type | probe
Module | chaosgcp.artifact.probes
Name | get_docker_image_version_from_tag
Return | mapping

Usage

JSON

    {
      "name": "get-docker-image-version-from-tag",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosgcp.artifact.probes",
        "func": "get_docker_image_version_from_tag",
        "arguments": {
          "repository": "",
          "package_name": ""
        }
      }
    }

YAML

    name: get-docker-image-version-from-tag
    provider:
      arguments:
        package_name: ""
        repository: ""
      func: get_docker_image_version_from_tag
      module: chaosgcp.artifact.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
repository | string |  | Yes | Repository | Name of the repository
package_name | string |  | Yes | Container Name | Name of the container in the repository
tag | string | latest | No | Tag | Version information for this particular tag

Signature

    def get_docker_image_version_from_tag(
            repository: str,
            package_name: str,
            tag: str = 'latest',
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Google Cloud
  probe Artifact

  ## `has_most_recent_image_any_severe_or_critical_vulnerabilities`

  Does the most recent tag have any severe or critical vulnerabilities.
- Google Cloud
  probe Artifact

  ## `list_severe_or_critical_vulnerabilities_in_most_recent_image`

  List all severe and critical vulnerabilities for the most recent tag
- Google Cloud
  probe Artifact

  ## `has_most_recent_image_any_severe_or_critical_vulnerabilities`

  Does the most recent tag have any severe or critical vulnerabilities.